Subject: RE: openssh-3.0.1p1-2:zlib error
From: Ean Houts <[email-masked]>
To: "'Charles Wilson'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 28 Nov 2001 15:12:51 -0800

> Ean Houts wrote:
> > 
> > Not sure if this is really a bug, but it was definately unclear to
> > me...anyway, I'm trying to compile openssh, which requires zlib.
> > 
> > I'm running on NT4.0, with the latest cygwin, gcc, etc. installed.
> > 
> > I installed the latest zlib from one of the cygwin mirrors, 
> but still got
> > the  '*** zlib missing - please install first or check 
> config.log ***' error
> > when trying to run configure.  I triple checked everything 
> for zlib and it
> > was fine, so I downloaded the source, compiled it, ran test 
> ok and used that
> > dll - same prob.  I even specified the --with-zlib= option 
> to specify an
> > explicit path, with the same result.
> > 
> > So, I faked out the part of configure that checks for it, 
> and got as far as
> > the regex check...that was missing too.  So, I installed 
> that, and suddenly
> > openssh was able to find zlib!  Everything proceeded fine 
> from there, but
> > the zlib missing error was definately misleading.
> 
> You probably needed to add your cygwin/bin directory to the 
> SYSTEM path
> variable.
> 
> --Chuck
nope, it was there (I regularly use quite a few of the cygwin tools, so it's
permanently in my path).  As a quick experiment I tried the following:
1. uninstall regex
2. rerun sh ./configure
---- saw the zlib failure
3. reinstall regex
4. rerun sh ./configure
---- no problem.

pasted below is the dos session of this (except the regex remove/install,
which I did via the cygwin gui).

Anyway, thanks for supporting a great selection of tools!  I mainly wanted
to post this so that anyone having a similar prob would find it in a
search...

Ean

C:\cygwin\usr\src\openssh-3.0.1p1-2>sh ./configure
checking for gcc... gcc
checking for C compiler default output... a.exe
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for executable suffix... .exe
checking for object suffix... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking build system type... i686-pc-cygwin
checking host system type... i686-pc-cygwin
checking whether byte ordering is bigendian... no
checking how to run the C preprocessor... gcc -E
checking for ranlib... ranlib
checking for a BSD compatible install... /usr/bin/install -c
checking for ar... /usr/bin/ar
checking for perl5... no
checking for perl... /usr/bin/perl
checking for ent... no
checking for filepriv... no
checking for bash... /usr/bin/bash
checking for ksh... (cached) /usr/bin/bash
checking for sh... (cached) /usr/bin/bash
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for _LARGE_FILES value needed for large files... no
checking for login... /usr/bin/login
checking for gcc option to accept ANSI C... none needed
checking for inline... inline
checking for ANSI C header files... no
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... no
checking for stdint.h... no
checking for unistd.h... yes
checking for yp_match... no
checking for yp_match in -lnsl... no
checking for setsockopt... no
checking for setsockopt in -lsocket... no
checking for getspnam... no
checking for getspnam in -lgen... no
checking for deflate in -lz... no
configure: error: *** zlib missing - please install first or check
config.log **
*

C:\cygwin\usr\src\openssh-3.0.1p1-2>dir c:\cygwin\bin\cygz.dll
 Volume in drive C has no label.
 Volume Serial Number is 6A36-5D9F

 Directory of c:\cygwin\bin

11/28/01  11:31a                74,238 cygz.dll
               1 File(s)         74,238 bytes
                             75,366,400 bytes free

C:\cygwin\usr\src\openssh-3.0.1p1-2>path
PATH=C:\WINNT\system32;C:\WINNT;C:\VXIPNP\WINNT\BIN;C:\PROGRA~1\ULTRAE~1;c:\
bin;
C:\PROGRA~1\NETMAI~1;c:\autom\tools;c:\cygwin\bin;C:\Program Files\Microsoft
Vis
ual Studio\Common\Tools\WinNT;C:\Program Files\Microsoft Visual
Studio\Common\MS
Dev98\Bin;C:\Program Files\Microsoft Visual Studio\Common\Tools;C:\Program
Files
\Microsoft Visual Studio\VC98\bin;C:\PROGRA~1\TESTEX~1

C:\cygwin\usr\src\openssh-3.0.1p1-2>sh ./configure
checking for gcc... gcc
checking for C compiler default output... a.exe
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for executable suffix... .exe
checking for object suffix... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking build system type... i686-pc-cygwin
checking host system type... i686-pc-cygwin
checking whether byte ordering is bigendian... no
checking how to run the C preprocessor... gcc -E
checking for ranlib... ranlib
checking for a BSD compatible install... /usr/bin/install -c
checking for ar... /usr/bin/ar
checking for perl5... no
checking for perl... /usr/bin/perl
checking for ent... no
checking for filepriv... no
checking for bash... /usr/bin/bash
checking for ksh... (cached) /usr/bin/bash
checking for sh... (cached) /usr/bin/bash
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for _LARGE_FILES value needed for large files... no
checking for login... /usr/bin/login
checking for gcc option to accept ANSI C... none needed
checking for inline... inline
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... no
checking for stdint.h... no
checking for unistd.h... yes
checking for yp_match... no
checking for yp_match in -lnsl... no
checking for setsockopt... yes
checking for getspnam... no
checking for getspnam in -lgen... no
checking for deflate in -lz... yes
checking for regcomp... yes
checking for strcasecmp... yes
checking for utimes...
etc., rest of configure was fine.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/